﻿@model IEnumerable<MIMS.Portal.ViewModels.Store.StoreViewModel>
@using MIMS.Portal.Core.Domains;
@using MIMS.Portal.Commons.Extensions;


@{
    ViewData["PageTitle"] = "بررسی اطلاعات فروشگاه‌ها";
}

<section>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title">فهرست</h5>
                </div>
                <div class="card-body">
                    <div class="card-block">
                        <div class="table-responsive">
                            <table class="table table-hover header-border text-nowrap">
                                <thead class="thead-inverse">
                                    <tr>
                                        <th>@Html.DisplayNameFor(model => model.CreatedDate)</th>
                                        <th>@Html.DisplayNameFor(model => model.MerchantFullName)</th>
                                        <th>@Html.DisplayNameFor(model => model.StoreName)</th>
                                        <th>@Html.DisplayNameFor(model => model.ProvinceId)</th>
                                        <th>@Html.DisplayNameFor(model => model.CountyId)</th>
                                        <th>@Html.DisplayNameFor(model => model.CityId)</th>
                                        <th>@Html.DisplayNameFor(model => model.BusinessFullName)</th>
                                        <th>@Html.DisplayNameFor(model => model.Mobile)</th>
                                        <th>@Html.DisplayNameFor(model => model.Phone)</th>
                                        <th>@Html.DisplayNameFor(model => model.ResidenceType)</th>
                                        <th class="no-sort"><em class="fa fa-cog"></em></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach (var item in Model)
                                    {
                                        <tr>
                                            <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                                            <td>@item.MerchantFullName</td>
                                            <td>@item.StoreName<br /><small class="mt-2">@item.EnglishStoreName</small></td>
                                            <td>@item.ProvinceName</td>
                                            <td>@item.CountyName</td>
                                            <td>@item.CityName</td>
                                            <td>@item.BusinessFullName</td>
                                            <td>@item.Mobile</td>
                                            <td>@item.Phone</td>
                                            <td>@Html.DisplayFor(modelItem => item.ResidenceType)</td>
                                            <td>
                                                <a asp-action="Review" asp-controller="Stores" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-eye" data-toggle="tooltip" title="جزئیات"></a>
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <small>
                        آخرین بروز رسانی لحظاتی پیش
                    </small>
                </div>
            </div>
        </div>
    </div>
</section>